Package name.pachler.nio.file.impl

# Class PathWatchService

java.lang.Object
name.pachler.nio.file.WatchService
name.pachler.nio.file.impl.PathWatchService

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Direct Known Subclasses:
  `BSDPathWatchService`, `LinuxPathWatchService`, `PollingPathWatchService`, `WindowsPathWatchService`

public abstract class PathWatchService extends WatchService

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`FLAG_ACCURATE`
`protected static final int`
`FLAG_FILTER_ENTRY_CREATE`
`protected static final int`
`FLAG_FILTER_ENTRY_DELETE`
`protected static final int`
`FLAG_FILTER_ENTRY_MODIFY`
`protected static final int`
`FLAG_FILTER_ENTRY_RENAME_FROM`
`protected static final int`
`FLAG_FILTER_ENTRY_RENAME_TO`
`protected static final int`
`FLAG_FILTER_KEY_INVALID`
`protected static final int`
`FLAG_WATCH_SUBTREE`

## Constructor Summary

Constructors
Constructor
Description
`PathWatchService()`

## Method Summary

Modifier and Type
Method
Description
`protected PathImpl`
`checkAndCastToPathImpl(Path path)`
`protected int`
`makeFlagMask(WatchEvent.Kind<?>[] kinds, WatchEvent.Modifier[] modifiers)`
`abstract PathWatchKey`
`register(Path path, WatchEvent.Kind<?>[] kinds, WatchEvent.Modifier[] modifiers)`

### Methods inherited from class name.pachler.nio.file.WatchService

`close, poll, poll, take`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_WATCH_SUBTREE

protected static final int FLAG_WATCH_SUBTREE

See Also:
  - Constant Field Values

### FLAG_ACCURATE

protected static final int FLAG_ACCURATE

See Also:
  - Constant Field Values

### FLAG_FILTER_ENTRY_RENAME_FROM

protected static final int FLAG_FILTER_ENTRY_RENAME_FROM

See Also:
  - Constant Field Values

### FLAG_FILTER_ENTRY_RENAME_TO

protected static final int FLAG_FILTER_ENTRY_RENAME_TO

See Also:
  - Constant Field Values

### FLAG_FILTER_ENTRY_CREATE

protected static final int FLAG_FILTER_ENTRY_CREATE

See Also:
  - Constant Field Values

### FLAG_FILTER_ENTRY_DELETE

protected static final int FLAG_FILTER_ENTRY_DELETE

See Also:
  - Constant Field Values

### FLAG_FILTER_ENTRY_MODIFY

protected static final int FLAG_FILTER_ENTRY_MODIFY

See Also:
  - Constant Field Values

### FLAG_FILTER_KEY_INVALID

protected static final int FLAG_FILTER_KEY_INVALID

See Also:
  - Constant Field Values

## Constructor Details

### PathWatchService

public PathWatchService()

## Method Details

### register

public abstract PathWatchKey register(Path path, WatchEvent.Kind<?>[] kinds, WatchEvent.Modifier[] modifiers) throws IOException

Throws:
  `IOException`

### makeFlagMask

protected int makeFlagMask(WatchEvent.Kind<?>[] kinds, WatchEvent.Modifier[] modifiers)

### checkAndCastToPathImpl

protected PathImpl checkAndCastToPathImpl(Path path) throws IOException

Throws:
  `IOException`